# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

#TODO: BR: perl(Exporter::Declare::Magic) ≳ 0.107 when available
#TODO: BR: perl(Devel::Declare::Parser) when available

Name:		perl-Exporter-Declare
Version:	0.114
Release:	22.%{__distinit}%{__distvers}
Summary:	Exporting done right
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Exporter-Declare
Source0:	http://cpan.metacpan.org/authors/id/E/EX/EXODIST/Exporter-Declare-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Test::Simple) >= 0.88
# Module Runtime
BuildRequires:	perl(aliased)
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Meta::Builder) >= 0.003
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Fennec::Lite) >= 0.004
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::Exception) >= 0.29
BuildRequires:	perl(Test::More)
# Optional Tests
BuildRequires:	perl(Test::Pod) >= 1.14
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
Exporter::Declare is a meta-driven exporting tool. Exporter::Declare tries
to adopt all the good features of other exporting tools, while throwing
away horrible interfaces. Exporter::Declare also provides hooks that allow
you to add options and arguments for import. Finally, Exporter::Declare's
meta-driven system allows for top-notch introspection.

%prep
%setup -q -n Exporter-Declare-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}

%check
TEST_POD=1 ./Build test

%files
%doc README
%{perl_vendorlib}/Exporter/
%{_mandir}/man3/Exporter::Declare.3*
%{_mandir}/man3/Exporter::Declare::Export.3*
%{_mandir}/man3/Exporter::Declare::Export::Alias.3*
%{_mandir}/man3/Exporter::Declare::Export::Generator.3*
%{_mandir}/man3/Exporter::Declare::Export::Sub.3*
%{_mandir}/man3/Exporter::Declare::Export::Variable.3*
%{_mandir}/man3/Exporter::Declare::Meta.3*
%{_mandir}/man3/Exporter::Declare::Specs.3*

%changelog
* Sun Jul 16 2023 Paul Howarth <paul@city-fan.org> - 0.114-22
- Use SPDX-format license tag

* Fri Jun  7 2019 Paul Howarth <paul@city-fan.org> - 0.114-11
- Modernize spec
  - BR: perl-generators unconditionally
  - BR: perl-interpreter rather than perl
  - Don't explicitly clean buildroot in %%install section
  - Drop explicit %%clean section
  - Drop legacy BuildRoot: and Group: tags

* Mon Aug 22 2016 Paul Howarth <paul@city-fan.org> - 0.114-3
- BR: perl-generators where available

* Wed Jun 24 2015 Paul Howarth <paul@city-fan.org> - 0.114-1
- Update to 0.114
  - Add methods for getting lists of meta items
  - Documentation updates
- Classify buildreqs by usage

* Wed Sep 10 2014 Paul Howarth <paul@city-fan.org> - 0.113-5
- Perl 5.20 rebuild

* Wed Aug 14 2013 Paul Howarth <paul@city-fan.org> - 0.113-4
- Import from Fedora

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.113-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 Petr Pisar <ppisar@redhat.com> - 0.113-2
- Perl 5.18 rebuild

* Fri Jun 07 2013 Jitka Plesnikova <jplesnik@redhat.com> - 0.113-1
- 0.113 bump

* Mon Apr 29 2013 Jitka Plesnikova <jplesnik@redhat.com> - 0.112-1
- 0.112 bump

* Tue Mar 26 2013 Petr Šabata <contyk@redhat.com> - 0.109-1
- 0.109 bump

* Wed Jan 30 2013 Jitka Plesnikova <jplesnik@redhat.com> - 0.106-1
- 0.106 bump

* Thu Jul 12 2012 Jitka Plesnikova <jplesnik@redhat.com> - 0.105-1
- Specfile autogenerated by cpanspec 1.78
